Package org.eclipse.cdt.core.dom.ast

# Enum Class IASTNode.CopyStyle

java.lang.Object
java.lang.Enum<IASTNode.CopyStyle>
org.eclipse.cdt.core.dom.ast.IASTNode.CopyStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<IASTNode.CopyStyle>`, `java.lang.constant.Constable`

Enclosing interface:
  IASTNode

public static enum IASTNode.CopyStyle extends Enum<IASTNode.CopyStyle>

Since:
  5.3

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`withLocations`
The copied node has a `IASTCopyLocation` linking the copy to the original node.
`withoutLocations`
Copy without location, this copy is independent of the index and can be shared.

## Method Summary

Modifier and Type
Method
Description
`static IASTNode.CopyStyle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IASTNode.CopyStyle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### withoutLocations

public static final IASTNode.CopyStyle withoutLocations
Copy without location, this copy is independent of the index and can be shared.

### withLocations

public static final IASTNode.CopyStyle withLocations
The copied node has a `IASTCopyLocation` linking the copy to the original node. If the index was supplied creating the original AST, the caller has to hold a read lock on it. The returned copy is valid only while the read lock is being held and should not be accessed after releasing the lock.

## Method Details

### values

public static IASTNode.CopyStyle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IASTNode.CopyStyle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null